unit Point;

interface

type
	TPoint=class(TObject)
  private
  	abs:integer;
    ord:integer;
  public
  	function getAbs:integer;
    function getOrd:integer;
    procedure setPos(p_abs,p_ord:integer);
    procedure deplacer(dx,dy:integer);
  end;

type
  TPointPolaire = class (TPoint)
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    procedure setPosPolaire(p_r, p_t : double);
		procedure setPosPolaireCentre(p_r, p_t : double ; p_centre : TPoint);
		function r:double;
    function t:double;
end;

implementation

// classe Tpoint
function TPoint.getAbs:integer;
begin
	getAbs:=abs;
end;
function TPoint.getOrd;
begin
	getOrd:=ord;
end;
procedure TPoint.setPos(p_abs,p_ord:integer);
begin
	abs:=p_abs;
  ord:=p_ord;
end;
procedure TPoint.deplacer(dx,dy:integer);
begin
	abs:=abs+dx;
  ord:=ord+dy;
end;

// Classe TpointPolaire
procedure TPointPolaire.setPosPolaire(p_r, p_t : double);
	var x,y : integer;
begin
	x:=Trunc(p_r*cos(p_t));
  y:=Trunc(p_r*sin(p_t));
	setPos(x,y);
end;
function TPointPolaire.r:double;
begin
	r:=Sqrt(getAbs*getAbs+getOrd*getOrd);
end;
function TPointPolaire.t:double;
begin
  if (getabs=0) then
  	begin
    	if (getord=0) then
      	t:=0
      else
      	begin
        	if (getord>0) then
          	t:=pi/2
          else
          	t:=-pi/2;
        end
    end
  else
  	begin
    	if(getabs>0)then
      	t:=ArcTan(getord/getabs)
      else
      	t:=ArcTan(getord/getabs)+pi
  end;
end;
procedure TPointPolaire.setPosPolaireCentre(p_r, p_t : double ; p_centre : TPoint);
begin
	setPosPolaire(p_r,p_t);
	deplacer(p_centre.getAbs(),p_centre.getOrd());
end;

end.
