unit fiche;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Point, Horloge;

type
  Tfm_ameliore = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    bt_positionner: TButton;
    bt_deplacer: TButton;
    bt_afficher: TButton;
    bt_posPolaire: TButton;
    bt_affPolaire: TButton;
    procedure bt_positionnerClick(Sender: TObject);
    procedure bt_deplacerClick(Sender: TObject);
    procedure bt_afficherClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure bt_posPolaireClick(Sender: TObject);
    procedure bt_affPolaireClick(Sender: TObject);
  private
    { Dclarations prives }
    p:TPoint;
    pp:TPointPolaire;
    monHorloge:THorloge;
  public
    { Dclarations publiques }
  end;

var
  fm_ameliore: Tfm_ameliore;

implementation

{$R *.dfm}
procedure Tfm_ameliore.bt_positionnerClick(Sender: TObject);
begin
	p.setPos(10,20);
end;

procedure Tfm_ameliore.bt_deplacerClick(Sender: TObject);
begin
	p.deplacer(5,50);
end;

procedure Tfm_ameliore.bt_afficherClick(Sender: TObject);
var affPoint:string;
begin
	affPoint:='P est en position ('+IntToStr(p.getAbs)+','+IntToStr(p.getOrd)+')';
  ShowMessage(affPoint);
end;

procedure Tfm_ameliore.FormCreate(Sender: TObject);
begin
	p:=TPoint.Create;
  pp:=TPointPolaire.Create;
	monHorloge:=THorloge.Create(Self);
  monHorloge.Parent:=Self;
  monHorloge.Width:=151;
  monHorloge.Height:=151;
  monHorloge.Top:=100;
  monHorloge.Left:=100;
  monHorloge.CouleurFond:=clyellow;
  monHorloge.CouleurTrait:=clblue;
end;

procedure Tfm_ameliore.FormDestroy(Sender: TObject);
begin
	p.Free;
  pp.Free;
  monHorloge.Free;
end;

procedure Tfm_ameliore.bt_posPolaireClick(Sender: TObject);
begin
	pp.setPosPolaire(10,2);
end;

procedure Tfm_ameliore.bt_affPolaireClick(Sender: TObject);
var affPoint:string;
begin
	affPoint:='PP est en position ('+IntToStr(pp.getAbs)+','+IntToStr(pp.getOrd)+')';
  ShowMessage(affPoint);
end;
end.
